Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.custom.security.organization
Interface OrganizationProvider

    public interface OrganizationProvider

Field Summary
`static java.lang.String` | `TAG_ORGANIZATION_DESCRIPTION`
`static java.lang.String` | `TAG_ORGANIZATION_MAX_USER_NUMBER`
`static java.lang.String` | `TAG_ORGANIZATION_NAME`

Method Summary
`void` | `addOrganization(java.lang.String realmName, java.util.Properties props)`
`java.util.Iterator<java.lang.String>` | `getAllOrganizations(java.lang.String realmName)`
`java.util.Properties` | `getOrganizationProperties(java.lang.String realmName, java.lang.String orgName)`
`boolean` | `isEnableEdit()`
`void` | `removeOrganization(java.lang.String realmName, java.lang.String orgName)`
`void` | `setOrganization(java.lang.String realmName, java.util.Properties props)`

Field Detail

### TAG_ORGANIZATION_NAME

    static final java.lang.String TAG_ORGANIZATION_NAME

See Also:
  Constant Field Values

### TAG_ORGANIZATION_DESCRIPTION

    static final java.lang.String TAG_ORGANIZATION_DESCRIPTION

See Also:
  Constant Field Values

### TAG_ORGANIZATION_MAX_USER_NUMBER

    static final java.lang.String TAG_ORGANIZATION_MAX_USER_NUMBER

See Also:
  Constant Field Values

Method Detail

### getAllOrganizations

    java.util.Iterator<java.lang.String> getAllOrganizations(java.lang.String realmName)
                                                             throws JRCustomerException

  Throws:
    `JRCustomerException`

### getOrganizationProperties

    java.util.Properties getOrganizationProperties(java.lang.String realmName,
                                                   java.lang.String orgName)
                                                   throws NoSuchOrganizationException,
                                                          JRCustomerException

  Throws:
    `NoSuchOrganizationException`
    `JRCustomerException`

### addOrganization

    void addOrganization(java.lang.String realmName,
                         java.util.Properties props)
                         throws OrganizationExistsException,
                                JRCustomerException

  Throws:
    `OrganizationExistsException`
    `JRCustomerException`

### setOrganization

    void setOrganization(java.lang.String realmName,
                         java.util.Properties props)
                         throws NoSuchOrganizationException,
                                JRCustomerException

  Throws:
    `NoSuchOrganizationException`
    `JRCustomerException`

### removeOrganization

    void removeOrganization(java.lang.String realmName,
                            java.lang.String orgName)
                            throws NoSuchOrganizationException,
                                   JRCustomerException

  Throws:
    `NoSuchOrganizationException`
    `JRCustomerException`

### isEnableEdit

    boolean isEnableEdit()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD